<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/corregirRegionTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - corregirRegionTEST.cpp<span style="font-size: 80%;"> (source / <a href="corregirRegionTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntry">22</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">14</td>
            <td class="headerCovTableEntry">14</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : #include &quot;../auxiliares.h&quot;
<span class="lineNum">       8 </span>            : 
<a name="9"><span class="lineNum">       9 </span>            : using namespace std;</a>
<span class="lineNum">      10 </span>            : 
<span class="lineNum">      11 </span><span class="lineCov">         10 : TEST(corregirRegionTEST, cuatroHogares) {</span>
<span class="lineNum">      12 </span>            : 
<span class="lineNum">      13 </span>            : //                              Región
<span class="lineNum">      14 </span>            : //                                 v
<span class="lineNum">      15 </span>            :     eph_h th = {{334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      16 </span>            :                 {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      17 </span>            :                 {1366, 2017, 1, 2, 1, 1, 1, 3, 2, 1},
<span class="lineNum">      18 </span><span class="lineCov">          4 :                 {1388, 2017, 1, 3, 5, 0, 4, 2, 2, 2}};</span>
<span class="lineNum">      19 </span>            : 
<span class="lineNum">      20 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      21 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      22 </span>            :                 {960,  2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      23 </span>            :                 {960,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      24 </span>            :                 {1366, 1, 2017, 1, 1, 2, 92, -1, 0, -1,    6},
<span class="lineNum">      25 </span><span class="lineCov">          4 :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      26 </span>            : 
<span class="lineNum">      27 </span>            : //                                    Región
<span class="lineNum">      28 </span>            : //                                       v
<span class="lineNum">      29 </span>            :     eph_h esperado = {{334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      30 </span>            :                       {960,  2017, 1, 1, 5, 0, 1, 4, 1, 2},
<span class="lineNum">      31 </span>            :                       {1366, 2017, 1, 2, 5, 1, 1, 3, 2, 1},
<span class="lineNum">      32 </span><span class="lineCov">          4 :                       {1388, 2017, 1, 3, 5, 0, 4, 2, 2, 2}};</span>
<span class="lineNum">      33 </span>            : 
<span class="lineNum">      34 </span><span class="lineCov">          2 :     corregirRegion(th, ti);</span>
<span class="lineNum">      35 </span><span class="lineCov">          2 :     EXPECT_EQ(th, esperado);</span>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          2 : }</span></a>
<span class="lineNum">      37 </span>            : 
<span class="lineNum">      38 </span><span class="lineCov">         10 : TEST(corregirRegionTEST, unSoloHogarSinRegionGba) {</span>
<span class="lineNum">      39 </span>            : 
<span class="lineNum">      40 </span><span class="lineCov">          4 :     eph_h th = {{334, 2017, 1, 1, 2, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">      41 </span><span class="lineCov">          4 :     eph_i ti = {{334, 1, 2017, 1, 0, 1, 36, 1, 3, 16300, 1}};</span>
<span class="lineNum">      42 </span><span class="lineCov">          2 :     th[0][REGION] = 2;</span>
<span class="lineNum">      43 </span><span class="lineCov">          4 :     eph_h th_esperado = th;</span>
<span class="lineNum">      44 </span>            : 
<span class="lineNum">      45 </span><span class="lineCov">          2 :     corregirRegion(th, ti);</span>
<span class="lineNum">      46 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span>
<a name="47"><span class="lineNum">      47 </span><span class="lineCov">          2 : }</span></a>
<span class="lineNum">      48 </span>            : 
<span class="lineNum">      49 </span><span class="lineCov">         10 : TEST(elSuperTEST3, tablaGrande) {</span>
<span class="lineNum">      50 </span>            : 
<span class="lineNum">      51 </span>            :     eph_h th = {
<span class="lineNum">      52 </span>            :             {{350, 2008, 1, 1, 1, 0, 1, 5, 2, 1},
<span class="lineNum">      53 </span>            :                     {542, 2004, 2, 2, 1, 0, 1, 5, 2, 2},
<span class="lineNum">      54 </span>            :                     {754, 2004, 2, 2, 1, 0, 2, 6, 3, 2},
<span class="lineNum">      55 </span>            :                     {1788, 2014, 1, 2, 4, 0, 5, 3, 1, 1},
<span class="lineNum">      56 </span>            :                     {1601, 2014, 2, 3, 5, 0, 5, 5, 4, 2},
<span class="lineNum">      57 </span>            :                     {2005, 2001, 2, 1, 6, 0, 1, 4, 2, 2},
<span class="lineNum">      58 </span>            :                     {3001, 2001, 3, 2, 2, 1, 1, 4, 2, 1},
<span class="lineNum">      59 </span>            :                     {895, 2007, 3, 2, 2, 1, 2, 2, 1, 2},
<span class="lineNum">      60 </span>            :                     {970, 2010, 1, 3, 2, 0, 2, 6, 4, 1},
<span class="lineNum">      61 </span>            :                     {1053, 2009, 2, 1, 3, 0, 3, 3, 2, 2},
<span class="lineNum">      62 </span>            :                     {1534, 1998, 2, 2, 3, 0, 3, 4, 2, 2},
<span class="lineNum">      63 </span>            :                     {2015, 1989, 3, 2, 4, 1, 4, 4, 3, 2},
<span class="lineNum">      64 </span>            :             },
<span class="lineNum">      65 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      66 </span>            : 
<span class="lineNum">      67 </span>            :     eph_i ti = {
<span class="lineNum">      68 </span>            :             {2015, 1, 1989, 3, 2, 25, 1, 1,  3, 20000, 8},
<span class="lineNum">      69 </span>            :             {1788, 1, 2014, 1, 1, 37, 0, -1, 0, 0,     6},
<span class="lineNum">      70 </span>            :             {2005, 1, 2010, 1, 1, 18, 0, 1,  0, 0,     1},
<span class="lineNum">      71 </span>            :             {3001, 1, 2010, 1, 2, 25, 1, 1,  3, 25000, 8},
<span class="lineNum">      72 </span>            :             {895,  1, 2007, 3, 2, 45, 1, 1,  3, 30000, 6},
<span class="lineNum">      73 </span>            :             {970,  1, 2010, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">      74 </span>            :             {970,  2, 2010, 1, 2, 20, 0, 0,  0, 0,     6},
<span class="lineNum">      75 </span>            :             {1053, 1, 2009, 2, 1, 37, 0, -1, 0, 0,     10},
<span class="lineNum">      76 </span>            :             {350,  2, 2008, 1, 2, 20, 0, 0,  0, 0,     10},
<span class="lineNum">      77 </span>            :             {350,  1, 2008, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">      78 </span>            :             {542,  1, 2004, 2, 1, 18, 0, 1,  0, 0,     10},
<span class="lineNum">      79 </span>            : 
<span class="lineNum">      80 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      81 </span>            : 
<span class="lineNum">      82 </span>            :     eph_h th_esperado = {
<span class="lineNum">      83 </span>            :             {{350, 2008, 1, 1, 5, 0, 1, 5, 2, 1},
<span class="lineNum">      84 </span>            :                     {542, 2004, 2, 2, 5, 0, 1, 5, 2, 2},
<span class="lineNum">      85 </span>            :                     {754, 2004, 2, 2, 5, 0, 2, 6, 3, 2},
<span class="lineNum">      86 </span>            :                     {1788, 2014, 1, 2, 4, 0, 5, 3, 1, 1},
<span class="lineNum">      87 </span>            :                     {1601, 2014, 2, 3, 5, 0, 5, 5, 4, 2},
<span class="lineNum">      88 </span>            :                     {2005, 2001, 2, 1, 6, 0, 1, 4, 2, 2},
<span class="lineNum">      89 </span>            :                     {3001, 2001, 3, 2, 2, 1, 1, 4, 2, 1},
<span class="lineNum">      90 </span>            :                     {895, 2007, 3, 2, 2, 1, 2, 2, 1, 2},
<span class="lineNum">      91 </span>            :                     {970, 2010, 1, 3, 2, 0, 2, 6, 4, 1},
<span class="lineNum">      92 </span>            :                     {1053, 2009, 2, 1, 3, 0, 3, 3, 2, 2},
<span class="lineNum">      93 </span>            :                     {1534, 1998, 2, 2, 3, 0, 3, 4, 2, 2},
<span class="lineNum">      94 </span>            :                     {2015, 1989, 3, 2, 4, 1, 4, 4, 3, 2},
<span class="lineNum">      95 </span>            :             },
<span class="lineNum">      96 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      97 </span>            : 
<span class="lineNum">      98 </span>            : 
<span class="lineNum">      99 </span><span class="lineCov">          2 :     corregirRegion(th, ti);</span>
<a name="100"><span class="lineNum">     100 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span></a>
<span class="lineNum">     101 </span>            : 
<span class="lineNum">     102 </span><span class="lineCov">          8 : }</span>
<span class="lineNum">     103 </span>            : 
<span class="lineNum">     104 </span>            : /*TEST*/
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
